.banners-mosaic {
  > .title {
    text-align: center;
    margin-bottom: 3.2rem;
  }

  > .mosaic {
    display: flex;
    flex-direction: column;

    @include media("md") {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-template-rows: repeat(2, 1fr);
      gap: 2.4rem;
      grid-template-areas:
        "one two four"
        "one three four";
    }
  }

  > .mosaic .mosaic-item {
    position: relative;
    margin-bottom: 2.4rem;

    &:last-child {
      margin-bottom: 0;
    }

    @include media("md") {
      margin-bottom: 0;
    }
  }

  > .mosaic .image {
    width: 100%;
    height: 100%;
  }

  > .mosaic .item-1 {
    grid-area: one;
  }

  > .mosaic .item-2 {
    grid-area: two;
  }

  > .mosaic .item-3 {
    grid-area: three;
  }

  > .mosaic .item-4 {
    grid-area: four;
  }

  > .mosaic .item-1 figure:after,
  > .mosaic .item-4 figure:after {
    padding-bottom: 137.94%;
  }

  > .mosaic .item-2 figure:after,
  > .mosaic .item-3 figure:after {
    padding-bottom: 66.38%;
  }

  > .mosaic a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
  }

  > .mosaic img {
    transition: var(--transition);
  }

  > .mosaic .mosaic-item:hover img {
    @include media("md") {
      transform: scale(1.1);
    }
  }

  > .mosaic .overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.4) 100%);
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    text-align: center;
    left: 0;
    top: 0;
    color: var(--text-color, var(--white));
    padding: 3rem 1.6rem;
  }

  > .mosaic .overlay > * {
    margin-bottom: 0.8rem;

    &:last-child {
      margin-bottom: 0;
    }
  }

  > .mosaic .title {
    font-size: var(--font-size-big);
    color: inherit;
  }

  > .mosaic .description {
    font-size: var(--font-size-small);
  }

  > .mosaic .button-default {
    margin-top: 1.2rem;

    &:first-child {
      margin-top: 0;
    }
  }
}
